Skip to main content
`Ctrl`+`K`

# DMCopyFields

Copy the discretizations for the `DM` into another `DM`

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMCopyFields(DM dm, PetscInt minDegree, PetscInt maxDegree, DM newdm)

Collective

## Input Parameters

- dm - The `DM`

- minDegree - Minimum degree for a discretization, or `PETSC_DETERMINE` for no limit

- maxDegree - Maximum degree for a discretization, or `PETSC_DETERMINE` for no limit

## Output Parameter

- newdm - The `DM`

## See Also

DM Basics, `DM`, `DMGetField()`, `DMSetField()`, `DMAddField()`, `DMCopyDS()`, `DMGetDS()`, `DMGetCellDS()`

## Level

advanced

## Location

src/dm/interface/dm.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages